import axios from '@/common/services/axios-instance'
class IamDmAnalysisServices {
  // 获取账套名称
  findBookName() {
    return axios({
      url: `api/xcoa-mobile/v1/agingAnalysisController/findBookName`,
    })
  }

  // 获取币种列表
  findCrrencyCode(bookCode) {
    return axios({
      url: `api/xcoa-mobile/v1/agingAnalysisController/findCrrencyCode?bookCode=${bookCode}`,
    })
  }

  // 获取账龄分析列表
  getList(params) {
    return axios({
      url: `api/xcoa-mobile/v1/agingAnalysisController/agingAnalysisByMultiSubjects`,
      method: 'POST',
      data: params,
    })
  }

  // 获取合同类型列表
  getContractType() {
    return axios({
      url: 'api/xcoa-mobile/v1/iam-law/dictionary?key=IAM_CONTRACT_TYPE',
      method: 'get',
    })
  }
}
export default new IamDmAnalysisServices()
